'use strict';

var classNames = require('classnames');
var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var consts = require('../consts.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".glob_fontElementMap,.quFjV{font-family:var(--ricos-font-family,unset)}.Ah2VP,.mQY2A{color:var(--ricos-settings-buttons-text-color,#fff);font-family:var(--ricos-settings-text-font-family,Helvetica Neue,Helvetica,Arial);font-size:16px;width:100%}[dir] .Ah2VP,[dir] .mQY2A{border:1px solid var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff));border-radius:var(--ricos-settings-buttons-border-radius,0);cursor:pointer}.mDKX-.Ah2VP,.mDKX-.mQY2A{text-decoration:underline}[dir] .mDKX-.Ah2VP,[dir] .mDKX-.mQY2A{border:none}.b6eoB.Ah2VP,.b6eoB.mQY2A{color:var(--ricos-fallback-color,#000);width:50px}[dir] .b6eoB.Ah2VP,[dir] .b6eoB.mQY2A{background:transparent;border:none;padding:0}[dir] .Ah2VP:disabled,[dir] .mQY2A:disabled{background-color:var(--ricos-settings-disabled-background-color,rgba(0,0,0,.4))}.mQY2A{color:#fff}[dir] .mQY2A{background-color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff))}[dir] .mQY2A:hover:not([disabled]){background-color:rgba(var(--ricos-settings-action-color-tuple,var(--ricos-action-color-fallback-tuple,2,97,255)),.8)}@supports not (contain:inline-size){@media only screen and (max-width:640px){[dir] .mQY2A:hover:not([disabled]){background-color:transparent}}}@container (width < 640px){[dir] .mQY2A:hover:not([disabled]){background-color:transparent}}.mQY2A:disabled{color:var(--ricos-settings-buttons-text-color,hsla(0,0%,100%,.6))}[dir] .mQY2A:disabled{border:none;cursor:auto}.Ah2VP,.mQY2A.b6eoB{color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff))}[dir] .Ah2VP{background:#fff}.Ah2VP:active,.Ah2VP:hover{color:rgba(var(--ricos-settings-action-color-tuple,var(--ricos-action-color-fallback-tuple,2,97,255)),.6)}[dir] .Ah2VP:active,[dir] .Ah2VP:hover{border-color:rgba(var(--ricos-settings-action-color-tuple,var(--ricos-action-color-fallback-tuple,2,97,255)),.6)}.Ah2VP:disabled{color:rgba(0,0,0,.4)}.PlVKG{font-size:14px;height:32px}.qVozc{height:36px}.ve1cl{height:40px}.-uuWS{height:48px}";
var styles = {"fontElementMap":"quFjV","button_secondary":"Ah2VP","button_primary":"mQY2A","borderLess":"mDKX-","mobile":"b6eoB","tiny":"PlVKG","small":"qVozc","medium":"ve1cl","large":"-uuWS"};
styleInject_es.styleInject(css_248z);

const Button = ({
  onClick,
  dataHook,
  ariaLabel,
  size = consts.BUTTON_SIZE.small,
  children,
  tabIndex = 0,
  disabled = false,
  secondary = false,
  borderless = false,
  isMobile = false,
  style
}) => {
  const buttonStyle = secondary ? styles.button_secondary : styles.button_primary;
  return /* @__PURE__ */ t__default.default.createElement(
    "button",
    {
      "aria-label": ariaLabel,
      "data-hook": dataHook,
      onClick,
      tabIndex,
      disabled,
      className: classNames__default.default(buttonStyle, styles[size], {
        [styles.borderLess]: borderless,
        [styles.mobile]: isMobile
      }),
      style,
      type: "button"
    },
    children
  );
};

module.exports = Button;
//# sourceMappingURL=Button.js.map
