'use strict';

var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_CircleInfoIcon = require('../Icons/CircleInfoIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".s3tNG{align-items:center;color:#414141;display:flex;font-size:14px;justify-content:start;max-width:375px}[dir] .s3tNG{background-color:#f0f4f7;border-radius:10px;margin:0 auto;padding:8px}.s3tNG svg{flex-shrink:1;height:100%;max-height:24px;max-width:24px;width:100%}[dir] .s3tNG svg{margin:0 8px}[dir] .s3tNG p{margin:0}";
var styles = {"genericError":"s3tNG"};
styleInject_es.styleInject(css_248z);

const GenericError = ({ text, dataHook }) => {
  return /* @__PURE__ */ t__default.default.createElement("div", { className: styles.genericError, "data-hook": dataHook }, /* @__PURE__ */ t__default.default.createElement(Icons_CircleInfoIcon, null), /* @__PURE__ */ t__default.default.createElement("div", { contentEditable: false }, text));
};

module.exports = GenericError;
//# sourceMappingURL=GenericError.js.map
