'use strict';

var t = require('react');
var Tooltip = require('wix-rich-content-common/libs/Tooltip');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Components_InfoIcon = require('./InfoIcon.js');
require('../Icons/InfoIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);
var Tooltip__default = /*#__PURE__*/_interopDefaultCompat(Tooltip);

var css_248z = "._9xRDY{align-items:center;color:var(--ricos-settings-text-color,#000);display:flex;font-family:inherit;font-size:14px;gap:5px}.AouSu{fill:var(--ricos-settings-icons-color,#000);height:24px;width:24px}[dir] .AouSu{cursor:pointer}.AouSu:hover{color:rgba(var(--ricos-settings-action-color-tuple,0,0,0),.5)}";
var styles = {"label":"_9xRDY","label_icon":"AouSu"};
styleInject_es.styleInject(css_248z);

const Label = ({
  label,
  tooltipText,
  children,
  iconStyles,
  style,
  isMobile,
  forceTooltipVisibility
}) => {
  return /* @__PURE__ */ t__default.default.createElement("div", { className: styles.label, style }, /* @__PURE__ */ t__default.default.createElement("span", null, label), !isMobile && !tooltipText ? null : children ? /* @__PURE__ */ t__default.default.createElement(Tooltip__default.default, { content: tooltipText }, children) : !isMobile && /* @__PURE__ */ t__default.default.createElement(
    Components_InfoIcon,
    {
      tooltipText,
      iconStyles: iconStyles || styles.label_icon,
      forceVisibility: forceTooltipVisibility
    }
  ));
};

module.exports = Label;
//# sourceMappingURL=Label.js.map
