'use strict';

var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_CloseIcon = require('../Icons/CloseIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".AaP5-{align-items:center;box-sizing:border-box;color:var(--ricos-settings-text-color,#000);display:flex;font-size:20px;justify-content:space-between;max-width:420px;position:absolute;top:0;width:100%;z-index:2}[dir] .AaP5-{background-color:#fff;padding:24px}[dir=ltr] .AaP5-{left:0}[dir=rtl] .AaP5-{right:0}.AaP5- .e4ZUc{fill:var(--ricos-settings-icons-color,#000)}[dir] .AaP5- .e4ZUc{cursor:pointer}.AaP5- .e4ZUc:hover{opacity:.5}";
var styles = {"settingsPanelHeader":"AaP5-","settingsPanelHeader_closeIcon":"e4ZUc"};
styleInject_es.styleInject(css_248z);

const SettingsPanelHeader = ({
  title,
  onClose,
  children,
  showCloseIcon = true
}) => {
  const onKeyPress = (e) => e.key === "Enter" && onClose();
  return /* @__PURE__ */ t__default.default.createElement("div", { className: styles.settingsPanelHeader }, /* @__PURE__ */ t__default.default.createElement("div", { className: styles.settingsPanelHeader_title }, children || title), /* @__PURE__ */ t__default.default.createElement("div", { className: styles.settingsPanelHeader_closeIcon }, showCloseIcon && /* @__PURE__ */ t__default.default.createElement(
    Icons_CloseIcon,
    {
      onClick: onClose,
      onKeyPress,
      tabIndex: 0,
      "data-hook": "settingsCloseIcon"
    }
  )));
};

module.exports = SettingsPanelHeader;
//# sourceMappingURL=SettingsPanelHeader.js.map
