'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var RevertSmall = require('../../RevertSmall-d9e2fd1f.js');
var ricosContext = require('ricos-context');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const LS_KEY = "ricos/color-picker/live-site-color-hint/closed";
const ColorPickerLiveSiteColorHint = () => {
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  const [isClosed, setIsClosed] = t.useState(() => !!(localStorage == null ? void 0 : localStorage.getItem(LS_KEY)));
  const onClose = () => {
    localStorage == null ? void 0 : localStorage.setItem(LS_KEY, "true");
    setIsClosed(true);
  };
  if (isClosed) {
    return null;
  }
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { marginTop: "SP2" }, /* @__PURE__ */ t__default.default.createElement(designSystem.SectionHelper, { appearance: "standard", onClose, size: "small" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { direction: "horizontal", gap: "SP2" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Text, null, /* @__PURE__ */ t__default.default.createElement(RevertSmall.o, null)), /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, t$1("ColorPickerLiveSiteColorHint")))));
};

exports.ColorPickerLiveSiteColorHint = ColorPickerLiveSiteColorHint;
//# sourceMappingURL=live-site-color-hint.js.map
