'use strict';

var unidriver = require('@wix/design-system/dist/testkit/unidriver');
var ricosStyles = require('ricos-styles');
var wixRichContentCommon = require('wix-rich-content-common');
var colorPicker_common_colorSwatchesUnidriver = require('../common/color-swatches-unidriver.js');
var colorPicker_toggledColorPicker_dataHooks = require('./data-hooks.js');
require('../common/data-hooks.js');

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const createToggledColorPickerUniDriver = (getBase) => {
  return {
    togglePicker: __spreadProps(__spreadValues({}, unidriver.FillPreviewUniDriver(getBase().$(wixRichContentCommon.dataHook(colorPicker_toggledColorPicker_dataHooks.SWATCH_TOGGLE)), getBase())), {
      getColor: async () => {
        const el = await getBase().get(`${wixRichContentCommon.dataHook(colorPicker_toggledColorPicker_dataHooks.SWATCH_TOGGLE)} button`);
        const style = await el._prop("style");
        return ricosStyles.toHexFormat(style.getPropertyValue("background-color"));
      },
      getStyle: async () => {
        const el = await getBase().get(`${wixRichContentCommon.dataHook(colorPicker_toggledColorPicker_dataHooks.SWATCH_TOGGLE)} button`);
        const style = await el._prop("style");
        return style;
      }
    }),
    swatches: colorPicker_common_colorSwatchesUnidriver.createColorSwatchesUnidriver(getBase)
  };
};

exports.createToggledColorPickerUniDriver = createToggledColorPickerUniDriver;
//# sourceMappingURL=toggled-color-picker-unidriver.js.map
