'use strict';

var designSystem = require('@wix/design-system');
var classNames = require('classnames');
var t = require('react');
var uiComponentsProvider = require('../../ui-components-provider.js');
var modalLayout_floatingLayout_dataHooks = require('./data-hooks.js');
var styleInject_es = require('../../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = "._5xPak{--wds-side-panel-footer-padding-vertical:18px}";
var classes = {"footer":"_5xPak"};
styleInject_es.styleInject(css_248z);

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const FloatingDesktopLayout = ({
  onCloseButtonClick,
  dataHook,
  header,
  content,
  footer,
  sidePanelProps
}) => {
  return /* @__PURE__ */ t__default.default.createElement(uiComponentsProvider.UiComponentsProvider, null, /* @__PURE__ */ t__default.default.createElement(
    designSystem.SidePanel,
    __spreadValues({
      skin: "floating",
      width: "360px",
      height: "fit-content",
      maxHeight: "420px",
      onCloseButtonClick,
      dataHook: classNames__default.default(modalLayout_floatingLayout_dataHooks.ROOT, dataHook)
    }, sidePanelProps),
    header && /* @__PURE__ */ t__default.default.createElement(designSystem.SidePanel.Header, __spreadValues({}, header)),
    /* @__PURE__ */ t__default.default.createElement(designSystem.SidePanel.Content, __spreadValues({ noPadding: true }, content)),
    footer && /* @__PURE__ */ t__default.default.createElement(designSystem.SidePanel.Footer, __spreadValues({ className: classes.footer }, footer))
  ));
};

exports.FloatingDesktopLayout = FloatingDesktopLayout;
//# sourceMappingURL=floating-desktop-layout.js.map
