import t__default from 'react';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';
import CloseIcon from '../Icons/CloseIcon.js';

var css_248z = ".AaP5-{align-items:center;box-sizing:border-box;color:var(--ricos-settings-text-color,#000);display:flex;font-size:20px;justify-content:space-between;max-width:420px;position:absolute;top:0;width:100%;z-index:2}[dir] .AaP5-{background-color:#fff;padding:24px}[dir=ltr] .AaP5-{left:0}[dir=rtl] .AaP5-{right:0}.AaP5- .e4ZUc{fill:var(--ricos-settings-icons-color,#000)}[dir] .AaP5- .e4ZUc{cursor:pointer}.AaP5- .e4ZUc:hover{opacity:.5}";
var styles = {"settingsPanelHeader":"AaP5-","settingsPanelHeader_closeIcon":"e4ZUc"};
styleInject(css_248z);

const SettingsPanelHeader = ({
  title,
  onClose,
  children,
  showCloseIcon = true
}) => {
  const onKeyPress = (e) => e.key === "Enter" && onClose();
  return /* @__PURE__ */ t__default.createElement("div", { className: styles.settingsPanelHeader }, /* @__PURE__ */ t__default.createElement("div", { className: styles.settingsPanelHeader_title }, children || title), /* @__PURE__ */ t__default.createElement("div", { className: styles.settingsPanelHeader_closeIcon }, showCloseIcon && /* @__PURE__ */ t__default.createElement(
    CloseIcon,
    {
      onClick: onClose,
      onKeyPress,
      tabIndex: 0,
      "data-hook": "settingsCloseIcon"
    }
  )));
};

export { SettingsPanelHeader as default };
//# sourceMappingURL=SettingsPanelHeader.js.map
