import { ButtonUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import { dataHook } from 'wix-rich-content-common';
import { SAVE_BUTTON, CANCEL_BUTTON } from './data-hooks.js';

const createFooterActionsUnidriver = (getBase) => {
  return {
    saveButton: ButtonUniDriver(getBase().$(dataHook(SAVE_BUTTON)), getBase()),
    cancelButton: ButtonUniDriver(getBase().$(dataHook(CANCEL_BUTTON)), getBase())
  };
};

export { createFooterActionsUnidriver };
//# sourceMappingURL=footer-actions-unidriver.js.map
