import { SidePanel } from '@wix/design-system';
import classNames from 'classnames';
import t__default from 'react';
import { UiComponentsProvider } from '../../ui-components-provider.js';
import { ROOT } from './data-hooks.js';
import { s as styleInject } from '../../style-inject.es-e7b07dd7.js';

var css_248z = ".H9U9I{--wds-side-panel-content-padding-vertical:0px}[dir] .nw1u2{padding-bottom:calc(var(--wds-side-panel-footer-padding-vertical, 18px)*2 + var(--wds-button-size-small, 30px))!important}.JvRmd{--wds-side-panel-footer-padding-vertical:18px;bottom:0;position:absolute}[dir] .JvRmd{background:var(--wds-color-fill-surface-overlay,var(--wsr-color-D80,#fff))}[dir=ltr] .JvRmd,[dir=rtl] .JvRmd{left:0;right:0}.YdE7v{height:100%}";
var classes = {"content":"H9U9I","contentWithFooter":"nw1u2","footer":"JvRmd","fullscreen":"YdE7v"};
styleInject(css_248z);

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const FullscreenMobileLayout = ({
  onCloseButtonClick,
  dataHook,
  header,
  content,
  footer,
  sidePanelProps
}) => {
  return /* @__PURE__ */ t__default.createElement(UiComponentsProvider, null, /* @__PURE__ */ t__default.createElement(
    SidePanel,
    __spreadValues({
      onCloseButtonClick,
      height: "100vh",
      width: "100%",
      dataHook: classNames(ROOT, dataHook)
    }, sidePanelProps),
    header && /* @__PURE__ */ t__default.createElement(SidePanel.Header, __spreadValues({ showDivider: false }, header)),
    /* @__PURE__ */ t__default.createElement(
      SidePanel.Content,
      __spreadValues({
        stretchVertically: true,
        className: classNames({ [classes.content]: true, [classes.contentWithFooter]: footer })
      }, content)
    ),
    footer && /* @__PURE__ */ t__default.createElement(SidePanel.Footer, __spreadValues({ showDivider: true, className: classes.footer }, footer))
  ));
};

export { FullscreenMobileLayout };
//# sourceMappingURL=fullscreen-mobile-layout.js.map
