import type { ImageProps } from '@wix/image';
import type { CSSProperties } from 'react';
import React from 'react';
import type { MediaUploadError, TFunction } from 'wix-rich-content-common';
type Props = Exclude<ImageProps, 'id' | 'containerId'> & {
    id?: string | number;
    containerProps?: {
        className?: string;
        containerId?: string;
        style?: CSSProperties;
        dataHook?: string;
    };
    error?: {
        t: TFunction;
        message: MediaUploadError;
    };
};
declare const Image: (props: Props) => React.JSX.Element;
export default Image;
//# sourceMappingURL=Image.d.ts.map