import type { CSSProperties, Ref } from 'react';
import React, { Component } from 'react';
interface TextInputProps {
    inputRef?: Ref<HTMLInputElement>;
    error?: string;
    showTooltip: boolean;
    showErrorIcon: boolean;
    onChange?: (e: any) => void;
    getTarget?: boolean;
    searchIcon?: boolean;
    dataHook?: string;
    inputDataHook?: string;
    placeholder?: string;
    type?: string;
    id?: string;
    onKeyPress?: (e: any) => void;
    onDoubleClick?: (text: any) => void;
    value?: string;
    autoComplete?: string;
    style?: CSSProperties;
    className?: string;
}
export default class TextInput extends Component<TextInputProps, {
    focusSearchIcon: boolean;
}> {
    static defaultProps: {
        showTooltip: boolean;
        showErrorIcon: boolean;
    };
    constructor(props: TextInputProps);
    handleOnChange: (event: any) => void;
    focusSearchIcon: () => void;
    unfocusSearchIcon: () => void;
    render(): React.JSX.Element;
}
export {};
//# sourceMappingURL=TextInput.d.ts.map