import type { FC } from 'react';
export type FloatingColorPickerProps = {
    title: string;
    currentColor: string | undefined;
    userColors: string[];
    onChange: (params: {
        type: 'colorSelected';
        color: string | undefined;
    } | {
        type: 'colorAdded';
        color: string;
    }) => void;
    onReset: () => void;
    closeModal: () => void;
    referenceElement: HTMLDivElement | null;
    allowEmpty?: boolean;
};
export declare const FloatingColorPicker: FC<FloatingColorPickerProps>;
//# sourceMappingURL=floating-color-picker.d.ts.map