import React from 'react';
export type LinkSettingsProps = {
    linkValue: LinkSettingsValue;
    onChange: (value: LinkSettingsValue) => void;
    options?: {
        showInputField?: boolean;
        showNewTabCheckbox?: boolean;
        showNoReferrerCheckbox?: boolean;
        showNoFollowCheckbox?: boolean;
        showSponsoredCheckbox?: boolean;
    };
    inputRef?: React.MutableRefObject<HTMLInputElement | null>;
};
export type LinkSettingsValue = {
    url: string | undefined;
    openInNewTab?: boolean;
    noreferrer?: boolean;
    nofollow?: boolean;
    sponsored?: boolean;
};
export declare const LinkSettings: React.FC<LinkSettingsProps>;
//# sourceMappingURL=link-settings.d.ts.map