'use strict';

var t = require('react');
var Tooltip = require('wix-rich-content-common/libs/Tooltip');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_InfoIcon = require('../Icons/InfoIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);
var Tooltip__default = /*#__PURE__*/_interopDefaultCompat(Tooltip);

var css_248z = ".dgIiK{height:17px;vertical-align:text-bottom}[dir] .dgIiK{padding-top:2px}.dgIiK:hover{color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff))}.p3KWi{display:flex}[dir] .p3KWi{cursor:pointer}";
var generalStyles = {"infoIcon":"dgIiK","infoContainer":"p3KWi"};
styleInject_es.styleInject(css_248z);

class InfoIcon extends t.Component {
  render() {
    const {
      tooltipText,
      iconStyles,
      size: { height, width } = { height: 24, width: 24 },
      forceVisibility
    } = this.props;
    const style = iconStyles || generalStyles.infoIcon;
    return /* @__PURE__ */ t__default.default.createElement(Tooltip__default.default, { content: tooltipText, forceVisibility }, /* @__PURE__ */ t__default.default.createElement(Icons_InfoIcon, { className: style, height, width }));
  }
}

module.exports = InfoIcon;
//# sourceMappingURL=InfoIcon.js.map
