'use strict';

var classNames = require('classnames');
var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".FalGT{flex:0 0 1px;height:100%}[dir] .FalGT{background:#ededed}[dir=ltr] .FalGT{margin:0 19px 0 9px}[dir=rtl] .FalGT{margin:0 9px 0 19px}.TldVA{display:block;height:1px;width:auto}[dir] .TldVA{background:#ededed}[dir=ltr] .TldVA{margin:0 -10px 0 -19px}[dir=rtl] .TldVA{margin:0 -19px 0 -10px}";
var Styles = {"separator":"FalGT","horizontalSeparator":"TldVA"};
styleInject_es.styleInject(css_248z);

const Separator = ({ className = "", horizontal = false }) => {
  const separatorClassNames = classNames__default.default(
    horizontal ? Styles.horizontalSeparator : Styles.separator,
    className
  );
  return /* @__PURE__ */ t__default.default.createElement(
    "div",
    {
      className: separatorClassNames,
      role: "separator",
      "aria-orientation": horizontal ? "horizontal" : "vertical"
    }
  );
};

module.exports = Separator;
//# sourceMappingURL=Separator.js.map
