'use strict';

var classNames = require('classnames');
var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var consts = require('../consts.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".G160M,.c4edC{-webkit-appearance:none}.G160M{width:100%}[dir] .G160M{margin:8px 0}.G160M._49NT9{height:4px}.G160M.zvx10{height:6px}[dir] .G160M:focus::-webkit-slider-runnable-track{background:rgba(0,0,0,.2)}[dir] .G160M:focus::-ms-fill-lower,[dir] .G160M:focus::-ms-fill-upper{background:rgba(0,0,0,.2)}[dir=ltr] .G160M::-webkit-slider-thumb{box-shadow:1px 1px 1px rgba(0,0,0,.2),0 0 1px hsla(0,0%,5%,.2)}[dir=rtl] .G160M::-webkit-slider-thumb{box-shadow:-1px 1px 1px rgba(0,0,0,.2),0 0 1px hsla(0,0%,5%,.2)}[dir] .G160M:not(._1wIGV):focus.PBBri::-webkit-slider-thumb,[dir] .G160M:not(._1wIGV):hover.PBBri::-webkit-slider-thumb{background-color:var(--ricos-native-text-color,var(--ricos-action-color-fallback,#0261ff));border:4px solid var(--ricos-native-text-color,var(--ricos-action-color-fallback,#0261ff))}[dir] .G160M:not(._1wIGV):focus:not(.PBBri)::-webkit-slider-thumb,[dir] .G160M:not(._1wIGV):hover:not(.PBBri)::-webkit-slider-thumb{background-color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#0261ff));border:4px solid var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#0261ff))}[dir] .G160M._1wIGV.PBBri::-webkit-slider-thumb{background-color:var(--ricos-native-text-color,var(--ricos-action-color-fallback,#0261ff));border:4px solid var(--ricos-native-text-color,var(--ricos-action-color-fallback,#0261ff))}[dir] .G160M._1wIGV:not(.PBBri)::-webkit-slider-thumb{background-color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#0261ff));border:4px solid var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#0261ff))}[dir] .G160M::-webkit-slider-runnable-track{background:transparent;border:0 solid #cfd8dc;border-radius:3px;box-shadow:0 0 0 rgba(0,0,0,.2),0 0 0 hsla(0,0%,5%,.2)}.G160M:not(._49NT9)::-webkit-slider-runnable-track{height:6px;transition:all .2s ease;width:100%}[dir] .G160M:not(._49NT9)::-webkit-slider-runnable-track{cursor:pointer}.G160M._49NT9::-webkit-slider-runnable-track{height:4px!important}.G160M::-webkit-slider-thumb{-webkit-appearance:none;height:16px;width:16px}[dir] .G160M::-webkit-slider-thumb{background:transparent;border:4px solid transparent;border-radius:8px;box-shadow:none;cursor:pointer;margin-top:-5px}.G160M::-moz-range-track{height:6px;transition:all .2s ease;width:100%}[dir] .G160M::-moz-range-track{background:transparent;border:0 solid #cfd8dc;border-radius:3px;box-shadow:0 0 0 rgba(0,0,0,.2),0 0 0 hsla(0,0%,5%,.2);cursor:pointer}.G160M::-moz-range-thumb{box-sizing:border-box;height:16px;width:16px}[dir] .G160M::-moz-range-thumb{background:transparent;border:4px solid transparent;border-radius:8px;box-shadow:none;cursor:pointer}.G160M::-ms-track{color:transparent;height:6px;transition:all .2s ease;width:100%}[dir] .G160M::-ms-track{background:transparent;border-color:transparent;border-width:8px 0;cursor:pointer}[dir] .G160M::-ms-fill-lower,[dir] .G160M::-ms-fill-upper{background:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff));border:0 solid #cfd8dc;border-radius:6px;box-shadow:0 0 0 rgba(0,0,0,.2),0 0 0 hsla(0,0%,5%,.2)}.G160M::-ms-thumb{height:16px;width:16px}[dir] .G160M::-ms-thumb{background:transparent;border:4px solid transparent;border-radius:8px;box-shadow:none;cursor:pointer;margin-top:0}";
var styles = {"wrapperSlider":"c4edC","slider":"G160M","small_track":"_49NT9","medium_track":"zvx10","slider_fixed_thumb":"_1wIGV","slider_livesite":"PBBri"};
styleInject_es.styleInject(css_248z);

var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
const Slider = (props) => {
  const {
    min = 0,
    max = 10,
    tabIndex = 0,
    onChange,
    dataHook,
    ariaProps,
    value,
    onChangeCommitted,
    languageDir,
    thumbVisibility = consts.SLIDER_THUMB_VISIBILITY.fixed,
    trackSize = consts.SLIDER_TRACK_SIZE.medium,
    step,
    liveSiteWiring = false,
    ariaLabel
  } = props;
  const [fillPercentage, setFillPercentage] = t.useState(0);
  const track = {
    fill: liveSiteWiring ? consts.ACTION_COLOR_LIVESITE : consts.ACTION_COLOR,
    unFilled: liveSiteWiring ? consts.BG_COLOR_LIVESITE : consts.BG_COLOR,
    gradientDeg: languageDir === "rtl" ? "270deg" : "90deg"
  };
  const bgStyle = {
    background: `linear-gradient(${track.gradientDeg} ,${track.fill} ${fillPercentage}%, ${track.unFilled} ${fillPercentage + 0.1}%)`
  };
  const isFixedThumb = thumbVisibility === consts.SLIDER_THUMB_VISIBILITY.fixed;
  const onKeyUp = (event) => {
    switch (event.key) {
      case "ArrowUp":
      case "ArrowDown":
      case "ArrowRight":
      case "ArrowLeft":
      case "Home":
      case "End":
      case "PageUp":
      case "PageDown":
        onChangeCommitted == null ? void 0 : onChangeCommitted(event.target.valueAsNumber);
        break;
      default:
        return;
    }
  };
  const onKeyDown = (e) => {
    switch (e.key) {
      case "ArrowUp":
      case "ArrowDown":
      case "ArrowRight":
      case "ArrowLeft":
      case "Home":
      case "End":
      case "PageUp":
      case "PageDown":
        onChange == null ? void 0 : onChange(e.target.valueAsNumber);
        break;
      default:
        return;
    }
  };
  t.useEffect(() => {
    setFillPercentage(100 * (value - min) / (max - min));
  }, [value]);
  return /* @__PURE__ */ t__default.default.createElement(
    "input",
    __spreadProps(__spreadValues({}, ariaProps), {
      "aria-label": ariaLabel,
      tabIndex,
      type: "range",
      className: classNames__default.default(styles.slider, styles.wrapperSlider, styles[trackSize], {
        [styles.slider_fixed_thumb]: isFixedThumb,
        [styles.slider_livesite]: liveSiteWiring
      }),
      "data-hook": dataHook,
      onChange: (e) => onChange(e.target.valueAsNumber),
      value,
      min,
      max,
      step,
      onMouseUp: (e) => onChangeCommitted == null ? void 0 : onChangeCommitted(e.target.valueAsNumber),
      onTouchEnd: (e) => onChangeCommitted == null ? void 0 : onChangeCommitted(e.target.valueAsNumber),
      onKeyUp,
      onKeyDown,
      style: bgStyle
    })
  );
};

module.exports = Slider;
//# sourceMappingURL=Slider.js.map
