'use strict';

var classNames = require('classnames');
var t = require('react');
var styleInject_es = require('../style-inject.es-e29c91b9.js');
var Icons_CloseIcon = require('../Icons/CloseIcon.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".RGD-q{-webkit-font-smoothing:antialiased;box-sizing:border-box;color:#fff;font-family:HelveticaNeueW01-55Roma,HelveticaNeueW02-55Roma,HelveticaNeueW10-55Roma,Helvetica Neue,Helvetica,Arial,sans-serif!important;font-size:14px;font-weight:11;letter-spacing:0;line-height:20px;max-width:690px;opacity:1;overflow-wrap:break-word;position:fixed;top:35px;width:fit-content;word-break:break-word;z-index:100002}[dir] .RGD-q{border-radius:2px;box-shadow:var(--ricos-settings-whitebox-box-shadow,0 4px 8px 0 rgba(0,0,0,.1),0 0 4px 0 rgba(0,0,0,.1))}[dir=ltr] .RGD-q{left:50%;padding:16px 68px 16px 29px;transform:translate(-50%)}[dir=rtl] .RGD-q{padding:16px 29px 16px 68px;right:50%;transform:translate(50%)}.RGD-q a{color:#fff;text-decoration:underline}[dir] .RGD-q a{cursor:pointer}.CKH1k{fill:#fff;box-sizing:content-box;height:12px;opacity:1;position:absolute;top:40%;width:12px;z-index:100003;z-index:6001}[dir] .CKH1k{border:hidden;border-radius:4px;cursor:pointer}[dir=ltr] .CKH1k{right:19px}[dir=rtl] .CKH1k{left:19px}.wNpc0{bottom:0;height:fit-content;position:fixed;width:100%}[dir] .wNpc0{margin-top:auto}[dir] ._8HkzD{background-color:#df3131}[dir] ._4HMcO{background-color:#008250}";
var styles = {"toastContainer":"RGD-q","close":"CKH1k","mobile":"wNpc0","error":"_8HkzD","success":"_4HMcO"};
styleInject_es.styleInject(css_248z);

const Toast = ({ isMobile, isError, message, onClose }) => {
  const backgroundColor = isError ? styles.error : styles.success;
  const style = classNames__default.default(styles.toastContainer, isMobile && styles.mobile, backgroundColor);
  return /* @__PURE__ */ t__default.default.createElement("div", { className: style }, onClose && /* @__PURE__ */ t__default.default.createElement(Icons_CloseIcon, { className: styles.close, onClick: onClose }), message);
};

module.exports = Toast;
//# sourceMappingURL=Toast.js.map
