'use strict';

const ACTION_COLOR = "var(--ricos-settings-action-color, var(--ricos-action-color-fallback, #0261ff))";
const BG_COLOR = "var(--ricos-settings-bg-color-background-color, rgba(0,0,0,.2))";
const ACTION_COLOR_LIVESITE = "var(--ricos-native-text-color,  var(--ricos-action-color, #0261ff))";
const BG_COLOR_LIVESITE = "var(--ricos-native-secondary-bg-color-background-color, rgba(var(--ricos-text-color-low-tuple, 150, 150, 150),.2) )";
const SLIDER_THUMB_VISIBILITY = { hover: "hover", fixed: "fixed" };
const SLIDER_TRACK_SIZE = { small: "small_track", medium: "medium_track" };
const KEYS_CHARCODE = {
  ENTER: 13,
  ESCAPE: 27,
  SPACE: 32
};
const BUTTON_SIZE = {
  tiny: "tiny",
  small: "small",
  medium: "medium",
  large: "large"
};

exports.ACTION_COLOR = ACTION_COLOR;
exports.ACTION_COLOR_LIVESITE = ACTION_COLOR_LIVESITE;
exports.BG_COLOR = BG_COLOR;
exports.BG_COLOR_LIVESITE = BG_COLOR_LIVESITE;
exports.BUTTON_SIZE = BUTTON_SIZE;
exports.KEYS_CHARCODE = KEYS_CHARCODE;
exports.SLIDER_THUMB_VISIBILITY = SLIDER_THUMB_VISIBILITY;
exports.SLIDER_TRACK_SIZE = SLIDER_TRACK_SIZE;
//# sourceMappingURL=consts.js.map
