'use strict';

var unidriver = require('@wix/design-system/dist/testkit/unidriver');
var wixRichContentCommon = require('wix-rich-content-common');
var modalLayout_common_dataHooks = require('./data-hooks.js');

const createFooterActionsUnidriver = (getBase) => {
  return {
    saveButton: unidriver.ButtonUniDriver(getBase().$(wixRichContentCommon.dataHook(modalLayout_common_dataHooks.SAVE_BUTTON)), getBase()),
    cancelButton: unidriver.ButtonUniDriver(getBase().$(wixRichContentCommon.dataHook(modalLayout_common_dataHooks.CANCEL_BUTTON)), getBase())
  };
};

exports.createFooterActionsUnidriver = createFooterActionsUnidriver;
//# sourceMappingURL=footer-actions-unidriver.js.map
