'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var modalLayout_common_dataHooks = require('./data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

const FooterActions = ({ onCancel, onSave }) => {
  const { t: t$1 } = t.useContext(ricosContext.RicosContext);
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { align: "right", gap: "SP2" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Button, { onClick: onCancel, priority: "secondary", dataHook: modalLayout_common_dataHooks.CANCEL_BUTTON, size: "small" }, t$1("SettingsPanelFooter_Cancel")), /* @__PURE__ */ t__default.default.createElement(designSystem.Button, { onClick: onSave, priority: "primary", dataHook: modalLayout_common_dataHooks.SAVE_BUTTON, size: "small" }, t$1("SettingsPanelFooter_Save")));
};

exports.FooterActions = FooterActions;
//# sourceMappingURL=footer-actions.js.map
