'use strict';

var modalLayout_floatingLayout_floatingDesktopLayout = require('./floating-desktop-layout.js');
var t = require('react');
var ricosContext = require('ricos-context');
var modalLayout_fullscreenMobileLayout_fullscreenMobileLayout = require('../fullscreen-mobile-layout/fullscreen-mobile-layout.js');
require('@wix/design-system');
require('classnames');
require('../../ui-components-provider.js');
require('./data-hooks.js');
require('../../style-inject.es-e29c91b9.js');
require('../fullscreen-mobile-layout/data-hooks.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const FloatingLayout = (props) => {
  const { isMobile } = t.useContext(ricosContext.RicosContext);
  const Layout = isMobile ? modalLayout_fullscreenMobileLayout_fullscreenMobileLayout.FullscreenMobileLayout : modalLayout_floatingLayout_floatingDesktopLayout.FloatingDesktopLayout;
  return /* @__PURE__ */ t__default.default.createElement(Layout, __spreadValues({}, props));
};

exports.FloatingLayout = FloatingLayout;
//# sourceMappingURL=floating-layout.js.map
