'use strict';

var designSystem = require('@wix/design-system');
var classNames = require('classnames');
var t = require('react');
var uiComponentsProvider = require('../../ui-components-provider.js');
var modalLayout_fullscreenMobileLayout_dataHooks = require('./data-hooks.js');
var styleInject_es = require('../../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var classNames__default = /*#__PURE__*/_interopDefaultCompat(classNames);
var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = ".H9U9I{--wds-side-panel-content-padding-vertical:0px}[dir] .nw1u2{padding-bottom:calc(var(--wds-side-panel-footer-padding-vertical, 18px)*2 + var(--wds-button-size-small, 30px))!important}.JvRmd{--wds-side-panel-footer-padding-vertical:18px;bottom:0;position:absolute}[dir] .JvRmd{background:var(--wds-color-fill-surface-overlay,var(--wsr-color-D80,#fff))}[dir=ltr] .JvRmd,[dir=rtl] .JvRmd{left:0;right:0}.YdE7v{height:100%}";
var classes = {"content":"H9U9I","contentWithFooter":"nw1u2","footer":"JvRmd","fullscreen":"YdE7v"};
styleInject_es.styleInject(css_248z);

var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
const FullscreenMobileLayout = ({
  onCloseButtonClick,
  dataHook,
  header,
  content,
  footer,
  sidePanelProps
}) => {
  return /* @__PURE__ */ t__default.default.createElement(uiComponentsProvider.UiComponentsProvider, null, /* @__PURE__ */ t__default.default.createElement(
    designSystem.SidePanel,
    __spreadValues({
      onCloseButtonClick,
      height: "100vh",
      width: "100%",
      dataHook: classNames__default.default(modalLayout_fullscreenMobileLayout_dataHooks.ROOT, dataHook)
    }, sidePanelProps),
    header && /* @__PURE__ */ t__default.default.createElement(designSystem.SidePanel.Header, __spreadValues({ showDivider: false }, header)),
    /* @__PURE__ */ t__default.default.createElement(
      designSystem.SidePanel.Content,
      __spreadValues({
        stretchVertically: true,
        className: classNames__default.default({ [classes.content]: true, [classes.contentWithFooter]: footer })
      }, content)
    ),
    footer && /* @__PURE__ */ t__default.default.createElement(designSystem.SidePanel.Footer, __spreadValues({ showDivider: true, className: classes.footer }, footer))
  ));
};

exports.FullscreenMobileLayout = FullscreenMobileLayout;
//# sourceMappingURL=fullscreen-mobile-layout.js.map
