'use strict';

var designSystem = require('@wix/design-system');
var t = require('react');
var ricosContext = require('ricos-context');
var styleInject_es = require('../style-inject.es-e29c91b9.js');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e : { default: e }; }

var t__default = /*#__PURE__*/_interopDefaultCompat(t);

var css_248z = "[dir] .VFZDq{margin-bottom:var(--ricos-toggle-button-margin-bottom,0);margin-top:var(--ricos-toggle-button-margin-top,0)}";
var classes = {"root":"VFZDq"};
styleInject_es.styleInject(css_248z);

const ToggleButton = ({
  checked,
  onChange,
  title,
  infoContent,
  dataHook
}) => {
  const zIndexService = t.useContext(ricosContext.ZIndexContext);
  return /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { verticalAlign: "middle", align: "space-between", className: classes.root }, infoContent ? /* @__PURE__ */ t__default.default.createElement(designSystem.Box, { verticalAlign: "middle", gap: "SP1" }, /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, title), /* @__PURE__ */ t__default.default.createElement(
    designSystem.InfoIcon,
    {
      size: "small",
      content: infoContent,
      tooltipProps: {
        appendTo: (el) => {
          var _a;
          return Boolean((_a = el.getAttribute("data-hook")) == null ? void 0 : _a.includes("ricos-portal"));
        },
        zIndex: zIndexService.getZIndex("TOOLTIP")
      }
    }
  )) : /* @__PURE__ */ t__default.default.createElement(designSystem.Text, { size: "small" }, title), /* @__PURE__ */ t__default.default.createElement(designSystem.ToggleSwitch, { checked, onChange, dataHook }));
};

exports.ToggleButton = ToggleButton;
//# sourceMappingURL=toggle-button.js.map
