import t__default, { Component } from 'react';
import Tooltip from 'wix-rich-content-common/libs/Tooltip';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';
import InfoIcon$1 from '../Icons/InfoIcon.js';

var css_248z = ".dgIiK{height:17px;vertical-align:text-bottom}[dir] .dgIiK{padding-top:2px}.dgIiK:hover{color:var(--ricos-settings-action-color,var(--ricos-action-color-fallback,#116dff))}.p3KWi{display:flex}[dir] .p3KWi{cursor:pointer}";
var generalStyles = {"infoIcon":"dgIiK","infoContainer":"p3KWi"};
styleInject(css_248z);

class InfoIcon extends Component {
  render() {
    const {
      tooltipText,
      iconStyles,
      size: { height, width } = { height: 24, width: 24 },
      forceVisibility
    } = this.props;
    const style = iconStyles || generalStyles.infoIcon;
    return /* @__PURE__ */ t__default.createElement(Tooltip, { content: tooltipText, forceVisibility }, /* @__PURE__ */ t__default.createElement(InfoIcon$1, { className: style, height, width }));
  }
}

export { InfoIcon as default };
//# sourceMappingURL=InfoIcon.js.map
