import t__default from 'react';
import Tooltip from 'wix-rich-content-common/libs/Tooltip';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';
import InfoIcon from './InfoIcon.js';
import '../Icons/InfoIcon.js';

var css_248z = "._9xRDY{align-items:center;color:var(--ricos-settings-text-color,#000);display:flex;font-family:inherit;font-size:14px;gap:5px}.AouSu{fill:var(--ricos-settings-icons-color,#000);height:24px;width:24px}[dir] .AouSu{cursor:pointer}.AouSu:hover{color:rgba(var(--ricos-settings-action-color-tuple,0,0,0),.5)}";
var styles = {"label":"_9xRDY","label_icon":"AouSu"};
styleInject(css_248z);

const Label = ({
  label,
  tooltipText,
  children,
  iconStyles,
  style,
  isMobile,
  forceTooltipVisibility
}) => {
  return /* @__PURE__ */ t__default.createElement("div", { className: styles.label, style }, /* @__PURE__ */ t__default.createElement("span", null, label), !isMobile && !tooltipText ? null : children ? /* @__PURE__ */ t__default.createElement(Tooltip, { content: tooltipText }, children) : !isMobile && /* @__PURE__ */ t__default.createElement(
    InfoIcon,
    {
      tooltipText,
      iconStyles: iconStyles || styles.label_icon,
      forceVisibility: forceTooltipVisibility
    }
  ));
};

export { Label as default };
//# sourceMappingURL=Label.js.map
