import classNames from 'classnames';
import t__default from 'react';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';

var css_248z = ".FalGT{flex:0 0 1px;height:100%}[dir] .FalGT{background:#ededed}[dir=ltr] .FalGT{margin:0 19px 0 9px}[dir=rtl] .FalGT{margin:0 9px 0 19px}.TldVA{display:block;height:1px;width:auto}[dir] .TldVA{background:#ededed}[dir=ltr] .TldVA{margin:0 -10px 0 -19px}[dir=rtl] .TldVA{margin:0 -19px 0 -10px}";
var Styles = {"separator":"FalGT","horizontalSeparator":"TldVA"};
styleInject(css_248z);

const Separator = ({ className = "", horizontal = false }) => {
  const separatorClassNames = classNames(
    horizontal ? Styles.horizontalSeparator : Styles.separator,
    className
  );
  return /* @__PURE__ */ t__default.createElement(
    "div",
    {
      className: separatorClassNames,
      role: "separator",
      "aria-orientation": horizontal ? "horizontal" : "vertical"
    }
  );
};

export { Separator as default };
//# sourceMappingURL=Separator.js.map
