import t__default from 'react';
import { s as styleInject } from '../style-inject.es-e7b07dd7.js';
import Button from './Button.js';
import 'classnames';
import '../consts.js';

var css_248z = "._7egNT,.glob_fontElementMap{font-family:var(--ricos-font-family,unset)}.xFx0l{align-items:center;box-sizing:border-box;display:flex;flex-direction:row-reverse;font-family:inherit;height:50px;justify-content:space-between;position:absolute;top:0;width:100%;z-index:13}[dir] .xFx0l{background-color:#fff;border-bottom:1px solid #ededed;padding:0 16px}[dir=ltr] .xFx0l{left:0}[dir=rtl] .xFx0l{right:0}.xFx0l *,.xFx0l :after,.xFx0l :before{box-sizing:inherit}.xFx0l input{box-sizing:border-box}.xFx0l .Ps2hL{align-self:center;color:#646464;font-family:var(--ricos-settings-text-font-family,Helvetica Neue,Helvetica,Arial);font-size:16px;font-weight:400}";
var styles = {"fontElementMap":"_7egNT","setting_mobile_header":"xFx0l","setting_mobile_header_title":"Ps2hL"};
styleInject(css_248z);

const SettingsMobileHeader = (props) => {
  const { onCancel, saveLabel, cancelLabel, title, t, children, showSaveBtn = true } = props;
  const onSave = props.showSaveBtn ? props.onSave : () => {
  };
  const saveText = saveLabel || t("SettingsPanelFooter_Save");
  const cancelText = cancelLabel || t("SettingsPanelFooter_Cancel");
  const buttonsDataHook = { save: "actionButtonSave", cancel: "actionButtonCancel" };
  const renderButton = (text, dataHook, onClick, showBtn = true) => /* @__PURE__ */ t__default.createElement(
    Button,
    {
      ariaLabel: text,
      isMobile: true,
      dataHook,
      onClick,
      style: !showBtn ? { visibility: "hidden" } : {}
    },
    text
  );
  return /* @__PURE__ */ t__default.createElement("div", { className: styles.setting_mobile_header }, renderButton(saveText, buttonsDataHook.save, onSave, showSaveBtn), /* @__PURE__ */ t__default.createElement(t__default.Fragment, null, title && /* @__PURE__ */ t__default.createElement("div", { className: styles.setting_mobile_header_title }, title), children), renderButton(cancelText, buttonsDataHook.cancel, onCancel));
};

export { SettingsMobileHeader as default };
//# sourceMappingURL=SettingsMobileHeader.js.map
