import type { Options as FocusTrapOptions } from 'focus-trap';
import type { KeyboardEventHandler, PropsWithChildren } from 'react';
import React, { Component } from 'react';
interface FocusManagerProps {
    focusTrapOptions?: FocusTrapOptions;
    isMobile?: boolean;
    onKeyDown?: KeyboardEventHandler;
    jsdomMode?: boolean;
}
declare class FocusManager extends Component<PropsWithChildren<FocusManagerProps>> {
    static defaultProps: {
        isMobile: boolean;
        focusTrapOptions: {
            clickOutsideDeactivates: boolean;
        };
        jsdomMode: boolean;
    };
    id: string;
    constructor(props: FocusManagerProps);
    onActivate(): void;
    onDeactivate(): void;
    render(): React.JSX.Element;
}
export default FocusManager;
//# sourceMappingURL=FocusManager.d.ts.map