import type { FocusTrap as ElementFocusTrap, Options as FocusTrapOptions } from 'focus-trap';
import { createFocusTrap } from 'focus-trap';
import type { PropsWithChildren } from 'react';
import React from 'react';
interface FocusTrapProps {
    active?: boolean;
    tag: string;
    paused?: boolean;
    focusTrapOptions?: FocusTrapOptions;
    _createFocusTrap: typeof createFocusTrap;
}
export default class FocusTrap extends React.Component<PropsWithChildren<FocusTrapProps>> {
    static defaultProps: {
        active: boolean;
        tag: string;
        paused: boolean;
        focusTrapOptions: {};
        _createFocusTrap: typeof createFocusTrap;
    };
    node: HTMLElement;
    focusTrap: ElementFocusTrap;
    componentDidMount(): void;
    componentDidUpdate(prevProps: FocusTrapProps): void;
    componentWillUnmount(): void;
    setNode: (el: any) => any;
    render(): React.DOMElement<React.DOMAttributes<any>, any>;
}
export {};
//# sourceMappingURL=FocusTrapReact.d.ts.map