import React from 'react';
interface LoaderProps {
    type: string;
    isFastFakeLoader?: boolean;
    isVerySlowFakeLoader?: boolean;
    percent?: number;
    disableProgress?: boolean;
}
declare class Loader extends React.Component<LoaderProps> {
    static defaultProps: {
        type: string;
        isFastFakeLoader: boolean;
    };
    state: {
        percent: number;
        localUrl?: string;
    };
    resetFakeLoader?: () => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    renderProgress(): React.JSX.Element;
    render(): React.JSX.Element;
}
export default Loader;
//# sourceMappingURL=Loader.d.ts.map