import { FillButtonUniDriver, FillPreviewUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import type { BaseUniDriver } from 'ricos-types/testkit';
export type ColorSwatchesUnidriver = {
    addCustomColorButton: ReturnType<typeof FillButtonUniDriver>;
    resetColorButton: ReturnType<typeof FillButtonUniDriver>;
    getSwatch: (index: number) => Promise<ReturnType<typeof FillPreviewUniDriver> & {
        getColor: () => Promise<string>;
        getStyle: () => Promise<CSSStyleDeclaration>;
    }>;
};
export declare const createColorSwatchesUnidriver: BaseUniDriver<ColorSwatchesUnidriver>;
//# sourceMappingURL=color-swatches-unidriver.d.ts.map