import { TextButtonUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import type { BaseUniDriver } from 'ricos-types/testkit';
import type { ColorSwatchesUnidriver } from '../common/color-swatches-unidriver';
export type FloatingColorPickerUniDriver = {
    exists: () => Promise<boolean>;
    waitForElement: () => Promise<void>;
    swatches: ColorSwatchesUnidriver;
    resetButton: ReturnType<typeof TextButtonUniDriver>;
};
export declare const createFloatingColorPickerUniDriver: BaseUniDriver<FloatingColorPickerUniDriver>;
//# sourceMappingURL=floating-color-picker-unidriver.d.ts.map