import { FillPreviewUniDriver } from '@wix/design-system/dist/testkit/unidriver';
import type { BaseUniDriver } from 'ricos-types/testkit';
import type { ColorSwatchesUnidriver } from '../common/color-swatches-unidriver';
export type ToggledColorPickerUniDriver = {
    togglePicker: ReturnType<typeof FillPreviewUniDriver> & {
        getColor: () => Promise<string>;
        getStyle: () => Promise<CSSStyleDeclaration>;
    };
    swatches: ColorSwatchesUnidriver;
};
export declare const createToggledColorPickerUniDriver: BaseUniDriver<ToggledColorPickerUniDriver>;
//# sourceMappingURL=toggled-color-picker-unidriver.d.ts.map